Vul­ne­ra­bi­li­dad en Li­nux

Ter­mi­nal bash ¡Ac­tua­li­za­lo de in­me­dia­to!

PC Evolution - - La Redacción -

La vul­ne­ra­bi­li­dad Shell­sock se ha con­ver­ti­do en un gra­ve pe­li­gro pa­ra los sis­te­mas Li­nux, es­pe­cí­fi­ca­men­te pa­ra su in­tér­pre­te de co­man­dos “Bash”, cu­ya ta­rea prin­ci­pal es in­ter­pre­tar los ins­truc­cio­nes es­cri­tas que un usua­rio eje­cu­ta en mo­do de pa­ra­da y arran­que de pro­ce­sos, la gran ma­yo­ría de los ad­mi­nis­tra­do­res de sis­te­mas ma­ne­jan sus ser­vi­do­res uti­li­zan­do to­das las ope­ra­cio­nes de pla­ni­fi­ca­ción de ta­reas, des­de las ac­tua­li­za­cio­nes del sis­te­ma has­ta la ins­ta­la­ción de di­ver­sas apli­ca­cio­nes. El nom­bre oficial de es­ta vul­ne­ra­bi­li­dad es: GNU Bash Re­mo­te Co­de Exe­cu­tion Vul­ne­ra­bi­lity “Có­di­go vul­ne­ra­ble de eje­cu­ción re­mo­ta”, la mis­ma que es ca­páz de per­mi­tir la eje­cu­ción re­mo­ta de có­di­go con lo cual se ga­ran­ti­za el con­trol to­tal de un or­de­na­dor. El pro­ble­ma se pre­sen­ta cuan­do Bash per­mi­te de­cla­rar las fun­cio­nes pe­ro las mis­mas no son va­li­da­das en una va­ria­ble, es de­cir, que, el in­tér­pre­te de co­man­dos se ex­tra­li­mi­ta en rea­li­zar sus fun­cio­nes y si­gue eje­cu­tan­do có­di­go aun­que se ha­ya ter­mi­na­do los tra­ba­jos de sus pro­ce­sos. Mu­chos dis­po­si­ti­vos uti­li­zan a dia­rio sis­te­mas ba­sa­dos en pla­ta­for­mas Unix en­tre ellos men­cio­na­mos: Sis­te­mas de en­tre­te­ni­mien­to, Smart tv, elec­tro­do­més­ti­cos, sis­te­mas ba­sa­dos en do­mó­ti­ca to­dos ellos sue­len in­cor­po­rar una va­rian­te del sis­te­ma Unix y que en su es­truc­tu­ra no pue­de fal­tar bash.

Em­pe­ce­mos

Newspapers in Spanish

Newspapers from Ecuador

© PressReader. All rights reserved.